using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WindTickle : MonoBehaviour
{
    [SerializeField] private AudioSource tickle;
    [SerializeField] private Animator tickanim;

    public bool execute = false;
    public void OnMouseDown() {
        if (!execute) return;

        if (tag == "Nessie" && GameManager.Instance.minigameTwo) {
            Kraken.Instance.Hurt();
        }

        print("enter");

        AudioManager.Instance.Play(this, "Giggle");
        tickanim.Play("tickle");
    }

    public void Disable() {
        execute = false;
    }

    public void Enable() {
        execute = true;
    }

}
